For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://api-docs.hindsiteind.com/hindsite-api/work-set-workflows/llms.txt. For full documentation content, see https://api-docs.hindsiteind.com/hindsite-api/work-set-workflows/llms-full.txt.

# Get V 2 Work Set Workflows Id

GET https://app.hindsiteind.com/api/v2/work_set_workflows/{id}

Reference: https://api-docs.hindsiteind.com/hindsite-api/work-set-workflows/get-v-2-work-set-workflows-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /v2/work_set_workflows/{id}:
    get:
      operationId: get-v-2-work-set-workflows-id
      summary: Get V 2 Work Set Workflows Id
      tags:
        - subpackage_workSetWorkflows
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            OAuth 2.0 Client Credentials Flow. To obtain an access token:


            1. Request API credentials from HINDSITE support to receive your
            `client_id` and `client_secret`


            2. Make a POST request to obtain an access token:

            ```

            POST https://app.hindsiteind.com/oauth/token

            Content-Type: application/x-www-form-urlencoded


            grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET

            ```


            3. The response will contain your access token:

            ```json

            {
              "access_token": "your_access_token_here",
              "token_type": "Bearer",
              "expires_in": 7200,
              "created_at": 1234567890
            }

            ```


            4. Include the token in subsequent API requests:

            ```

            Authorization: Bearer your_access_token_here

            ```
          required: true
          schema:
            type: string
      responses:
        '200':
          description: get WorkSetWorkflow(s)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkSetWorkflow'
servers:
  - url: https://app.hindsiteind.com/api
components:
  schemas:
    User:
      type: object
      properties:
        id:
          type: string
          description: ULID
        email:
          type: string
        name:
          type: string
        is_admin:
          type: boolean
        location_manager:
          type: boolean
        last_active_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        archived:
          type: boolean
        organisation_id:
          type: string
          description: ULID
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: User
    Review:
      type: object
      properties:
        id:
          type: string
          description: ULID
        status:
          type: string
        comment:
          type: string
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: Review
    Reviewer:
      type: object
      properties:
        id:
          type: string
          description: ULID
        name:
          type: string
        person_id:
          type: string
          description: ULID
        reviewable_id:
          type: string
          description: ULID
        reviewable_type:
          type: string
        status:
          type: string
        requested_at:
          type: string
          format: date-time
        reviews:
          type: array
          items:
            $ref: '#/components/schemas/Review'
      title: Reviewer
    JourneyStepInputOption:
      type: object
      properties:
        id:
          type: string
          description: ULID
        value:
          type: string
        colour:
          type: string
        workflow_step_input_option_id:
          type: string
          description: ULID
      title: JourneyStepInputOption
    JourneyStepInputRecord:
      type: object
      properties:
        id:
          type: string
          description: ULID
        value:
          type: string
      title: JourneyStepInputRecord
    Content:
      type: object
      properties:
        id:
          type: string
          description: ULID
        original:
          type: string
          description: Presigned URL
        versions:
          type: array
          items:
            type: string
        thumbnails:
          type: array
          items:
            type: string
        title:
          type: string
      title: Content
    JourneyStepInputAttachment:
      type: object
      properties:
        id:
          type: string
          description: ULID
        content:
          $ref: '#/components/schemas/Content'
        excluded_from_export:
          type: boolean
      title: JourneyStepInputAttachment
    JourneyStepInput:
      type: object
      properties:
        id:
          type: string
          description: ULID
        input:
          type: string
        unformatted_date_input:
          type: string
        selected_multi_options:
          type: array
          items:
            $ref: '#/components/schemas/JourneyStepInputOption'
        selected_input_records:
          type: array
          items:
            $ref: '#/components/schemas/JourneyStepInputRecord'
        failed_validations:
          type: array
          items:
            type: string
        prefix:
          type: string
        suffix:
          type: string
        workflow_step_input_title:
          type: string
        workflow_step_input_type:
          type: string
        workflow_step_input_id:
          type: string
          description: ULID
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/JourneyStepInputAttachment'
        journey_step_id:
          type: string
          description: ULID
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: JourneyStepInput
    Note:
      type: object
      properties:
        id:
          type: string
          description: ULID
        content:
          type: string
          description: Sanitized HTML content
        plain_text_content:
          type: string
        user:
          $ref: '#/components/schemas/User'
        noteable_type:
          type: string
        noteable_id:
          type: string
          description: ULID
        attachments:
          type: array
          items:
            description: Any type
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: Note
    ActionAssignedTo:
      type: object
      properties:
        id:
          type: string
          description: ULID
        name:
          type: string
      title: ActionAssignedTo
    Action:
      type: object
      properties:
        id:
          type: string
          description: ULID
        title:
          type: string
        description:
          type: string
        status:
          type: string
        priority:
          type: string
        actionable_type:
          type: string
        actionable_id:
          type: string
          description: ULID
        assigned_to_id:
          type: string
          description: ULID
        user_id:
          type: string
          description: ULID
        organisation_id:
          type: string
          description: ULID
        due_date:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        completed_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        notes:
          type: array
          items:
            $ref: '#/components/schemas/Note'
        user:
          $ref: '#/components/schemas/User'
        contents:
          type: array
          items:
            $ref: '#/components/schemas/Content'
        assigned_to:
          $ref: '#/components/schemas/ActionAssignedTo'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: Action
    JourneyComment:
      type: object
      properties:
        id:
          type: string
          description: ULID
        description:
          type: string
        user:
          $ref: '#/components/schemas/User'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: JourneyComment
    JourneyStep:
      type: object
      properties:
        id:
          type: string
          description: ULID
        workflow_step_id:
          type: string
          description: ULID
        journey_id:
          type: string
          description: ULID
        started_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        next_workflow_step_id:
          type: string
          description: ULID
        decision_value:
          type: string
        workflow_step_decisions_id:
          type: string
          description: ULID. Deprecated, use workflow_step_decision_id
        workflow_step_decision_id:
          type: string
          description: ULID
        decision_colour:
          type: string
        flagged:
          type: boolean
        workflow_step_title:
          type: string
        workflow_step_section_title:
          type: string
        workflow_step_description:
          type: string
        report_description:
          type: string
        terminal:
          type: boolean
        completed_by_user_id:
          type: string
          description: ULID
        first_step:
          type: boolean
        defects_count:
          type: integer
        active_defects_count:
          type: integer
        inputs:
          type: array
          items:
            $ref: '#/components/schemas/JourneyStepInput'
        actions:
          type: array
          items:
            $ref: '#/components/schemas/Action'
        comment:
          $ref: '#/components/schemas/JourneyComment'
        completed_by_user:
          $ref: '#/components/schemas/User'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: JourneyStep
    JourneyApproval:
      type: object
      properties:
        id:
          type: string
          description: ULID
        user_id:
          type: string
          description: ULID
        user:
          $ref: '#/components/schemas/User'
      title: JourneyApproval
    Journey:
      type: object
      properties:
        id:
          type: string
          description: ULID
        title:
          type: string
        workflow_id:
          type: string
          description: ULID
        contributor_ids:
          type: array
          items:
            type: string
        approved:
          type: boolean
        started_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        completed_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        work_set_workflow_id:
          type: string
          description: ULID
        taken_over_from_journey_id:
          type: string
          description: ULID
        in_progress_user_id:
          type: string
          description: ULID
        note:
          type: string
        co_author_ids:
          type: array
          items:
            type: string
          description: Deprecated, use contributor_ids
        user_id:
          type: string
          description: ULID
        in_progress_user:
          $ref: '#/components/schemas/User'
        work_set_workflow:
          $ref: '#/components/schemas/WorkSetWorkflow'
        steps:
          type: array
          items:
            $ref: '#/components/schemas/JourneyStep'
        flagged_steps:
          type: array
          items:
            $ref: '#/components/schemas/JourneyStep'
        user:
          $ref: '#/components/schemas/User'
        contributors:
          type: array
          items:
            $ref: '#/components/schemas/User'
        connected_users:
          type: array
          items:
            $ref: '#/components/schemas/User'
        co_authors:
          type: array
          items:
            $ref: '#/components/schemas/User'
          description: Deprecated, use contributors
        approvals:
          type: array
          items:
            $ref: '#/components/schemas/JourneyApproval'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: Journey
    PlannedPart:
      type: object
      properties:
        id:
          type: string
          description: ULID
        quantity:
          type: number
          format: double
        workflow_id:
          type: string
          description: ULID
      title: PlannedPart
    StepInputValidation:
      type: object
      properties:
        id:
          type: string
          description: ULID
        validation_type:
          type: string
        value:
          type: string
        restricted:
          type: boolean
      title: StepInputValidation
    StepInputOption:
      type: object
      properties:
        id:
          type: string
          description: ULID
        value:
          type: string
        colour:
          type: string
      title: StepInputOption
    WorkflowStepInputSettings:
      type: object
      properties: {}
      title: WorkflowStepInputSettings
    WorkflowStepInputCondition:
      type: object
      properties:
        id:
          type: string
          description: ULID
        workflow_step_input_id:
          type: string
          description: ULID
        condition_type:
          type: string
        condition_value:
          type: string
        workflow_step_conditional_input:
          $ref: '#/components/schemas/WorkflowStepInput'
      title: WorkflowStepInputCondition
    WorkflowStepInput:
      type: object
      properties:
        id:
          type: string
          description: ULID
        title:
          type: string
        input_type:
          type: string
        sort_order:
          type: integer
        required:
          type: boolean
        hold_point:
          type: boolean
        validations:
          type: array
          items:
            $ref: '#/components/schemas/StepInputValidation'
        options:
          type: array
          items:
            $ref: '#/components/schemas/StepInputOption'
        prefix:
          type: string
        suffix:
          type: string
        input_owner_id:
          type: string
          description: ULID
        input_owner_type:
          type: string
        settings:
          $ref: '#/components/schemas/WorkflowStepInputSettings'
        type:
          type: string
        workflow_step_input:
          type: boolean
        conditions:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowStepInputCondition'
      title: WorkflowStepInput
    WorkflowStepDecision:
      type: object
      properties:
        id:
          type: string
          description: ULID
        next_workflow_step_id:
          type: string
          description: ULID
        workflow_step_id:
          type: string
          description: ULID
        label:
          type: string
        colour:
          type: string
      title: WorkflowStepDecision
    WorkflowStepAttachment:
      type: object
      properties:
        id:
          type: string
          description: ULID
        original:
          type: string
          description: Presigned URL
        versions:
          type: array
          items:
            type: string
        thumbnails:
          type: array
          items:
            type: string
        title:
          type: string
        include_in_report:
          type: boolean
      description: Extends Content with additional report inclusion flag
      title: WorkflowStepAttachment
    WorkflowStep:
      type: object
      properties:
        id:
          type: string
          description: ULID
        step_uuid:
          type: string
        title:
          type: string
        section_title:
          type: string
        report_only:
          type: boolean
        description:
          type: string
        inputs:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowStepInput'
        decisions:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowStepDecision'
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowStepAttachment'
      title: WorkflowStep
    Workflow:
      type: object
      properties:
        id:
          type: string
          description: ULID
        title:
          type: string
        description:
          type: string
        archived:
          type: boolean
        first_workflow_step_id:
          type: string
          description: ULID
        location_ids:
          type: array
          items:
            type: string
        group_ids:
          type: array
          items:
            type: string
        user_id:
          type: string
          description: ULID
        is_template:
          type: boolean
        workflow_collection_id:
          type: string
          description: ULID
        is_latest_in_collection:
          type: boolean
        organisation_wide:
          type: boolean
        planned_parts:
          type: array
          items:
            $ref: '#/components/schemas/PlannedPart'
        part_confirmation_required:
          type: boolean
        links:
          type: array
          items:
            description: Any type
        steps:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowStep'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: Workflow
    WorkSetWorkflow:
      type: object
      properties:
        id:
          type: string
          description: ULID
        title:
          type: string
        workflow_collection_id:
          type: string
          description: ULID
        work_set_id:
          type: string
          description: ULID
        sort_order:
          type: integer
        flagged:
          type: boolean
        published_workflow_id:
          type: string
          description: ULID
        users:
          type: array
          items:
            $ref: '#/components/schemas/User'
        started_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        completed:
          type: boolean
        approved:
          type: boolean
        asset_id:
          type: string
          description: ULID
        tracked_time:
          type: integer
        defects_count:
          type: integer
        active_defects_count:
          type: integer
        started_by:
          $ref: '#/components/schemas/User'
        editable:
          type: boolean
        reviewers:
          type: array
          items:
            $ref: '#/components/schemas/Reviewer'
        journey:
          $ref: '#/components/schemas/Journey'
        published_workflow:
          $ref: '#/components/schemas/Workflow'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: WorkSetWorkflow
  securitySchemes:
    OAuth2:
      type: http
      scheme: bearer
      description: >-
        OAuth 2.0 Client Credentials Flow. To obtain an access token:


        1. Request API credentials from HINDSITE support to receive your
        `client_id` and `client_secret`


        2. Make a POST request to obtain an access token:

        ```

        POST https://app.hindsiteind.com/oauth/token

        Content-Type: application/x-www-form-urlencoded


        grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET

        ```


        3. The response will contain your access token:

        ```json

        {
          "access_token": "your_access_token_here",
          "token_type": "Bearer",
          "expires_in": 7200,
          "created_at": 1234567890
        }

        ```


        4. Include the token in subsequent API requests:

        ```

        Authorization: Bearer your_access_token_here

        ```

```

## SDK Code Examples

```python
import requests

url = "https://app.hindsiteind.com/api/v2/work_set_workflows/id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.hindsiteind.com/api/v2/work_set_workflows/id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.hindsiteind.com/api/v2/work_set_workflows/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.hindsiteind.com/api/v2/work_set_workflows/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.hindsiteind.com/api/v2/work_set_workflows/id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.hindsiteind.com/api/v2/work_set_workflows/id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.hindsiteind.com/api/v2/work_set_workflows/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.hindsiteind.com/api/v2/work_set_workflows/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```